import { VerticalWritingType, VerticalWritingOptionsType } from 'vertical-writing';
export { VerticalWritingType } from 'vertical-writing';
import { Ref } from 'vue';

declare type VirticalWritingVueType<T extends HTMLElement> = [
    Ref<T | undefined>,
    Ref<VerticalWritingType | undefined>
];
declare const useVirticalWriting: <T extends HTMLElement>(options?: VerticalWritingOptionsType) => VirticalWritingVueType<T>;

export { VirticalWritingVueType, useVirticalWriting as default, useVirticalWriting };
